Database replica sources alerts requests
Replica source alert requests
This documentation applies to Redis Software versions 7.4.x, which reach end of life on November 30, 2026. See the product lifecycle for supported versions.
| Method |
Path |
Description |
| GET |
/v1/bdbs/replica_sources/alerts |
Get all replica sources alert states for all BDBs |
| GET |
/v1/bdbs/replica_sources/alerts/{uid} |
Get all replica sources alert states for a BDB |
| GET |
/v1/bdbs/replica_sources/alerts/{uid}/{replica_src_id} |
Get all alert states for a replica source |
| GET |
/v1/bdbs/replica_sources/alerts/{uid}/{replica_src_id}/{alert} |
Get a replica source alert state |
Get all DBs replica sources alert states
GET /v1/bdbs/replica_sources/alerts
Get all alert states for all replica sources of all BDBs.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/replica_sources/alerts
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
Response
Returns a hash of alert UIDs and the alerts states for each BDB.
See REST API alerts overview for a description of the alert state object.
Example JSON body
{
"1": {
"replica_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"change_time": "2014-08-29T11:19:49Z",
"severity": "WARNING",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
},
"..."
}
Status codes
| Code |
Description |
| 200 OK |
No error |
Get DB replica source alert states
GET /v1/bdbs/replica_sources/alerts/{int: uid}
Get all alert states for all replica sources of a specific bdb.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/replica_sources/alerts/1
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
Response
Returns a hash of alert objects and their states.
Example JSON body
{
"replica_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
}
Status codes
Get replica source alert states
GET /v1/bdbs/replica_sources/alerts/{int: uid}/{int: replica_src_id}
Get all alert states for a specific replica source of a bdb.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/replica_sources/alerts/1/2
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
| replica_src_id |
integer |
The ID of the replica source in this BDB |
Response
Returns a hash of alert objects and their states.
Example JSON body
{
"replica_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
}
Status codes
Get replica source alert state
GET /v1/bdbs/replica_sources/alerts/{int: uid}/{int: replica_src_id}/{alert}
Get a replica source alert state of a specific bdb.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/replica_sources/alerts/1/2/replica_src_syncer_connection_error
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
| replica_src_id |
integer |
The ID of the replica source in this BDB |
| alert |
string |
The alert name |
Response
Returns an alert state object.
Example JSON body
{
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
}
Status codes